Employees
Create employment status
Path Parameters
employee_id*integer
Format
int64Request Body
application/x-www-form-urlencoded
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/public/v3/employees/0/employment_statuses" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d 'effective_from=2019-08-24&comment=string'{ "data": { "id": 0, "effective_from": "2019-08-24", "comment": "string", "fields": { "property1": "string", "property2": "string" }, "employment_type": { "id": 0, "name": "string" }, "working_pattern": { "id": 0, "name": "string" }, "probation_policy": { "id": 0, "name": "string" } }}